| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::xphoto::SimpleWB Class Referenceabstract
Additional photo processing algorithms

A simple white balance algorithm that works by independently stretching each of the input image channels to the specified range. For increased robustness it ignores the top and bottom \(p\%\) of pixel values. More...

`#include <opencv2/xphoto/white_balance.hpp>`

Inheritance diagram for cv::xphoto::SimpleWB:

## Public Member Functions
virtual float | getInputMax () const =0
| Input image range maximum value. More...
virtual float | getInputMin () const =0
| Input image range minimum value. More...
virtual float | getOutputMax () const =0
| Output image range maximum value. More...
virtual float | getOutputMin () const =0
| Output image range minimum value. More...
virtual float | getP () const =0
| Percent of top/bottom values to ignore. More...
virtual void | setInputMax (float val)=0
| Input image range maximum value. More...
virtual void | setInputMin (float val)=0
| Input image range minimum value. More...
virtual void | setOutputMax (float val)=0
| Output image range maximum value. More...
virtual void | setOutputMin (float val)=0
| Output image range minimum value. More...
virtual void | setP (float val)=0
| Percent of top/bottom values to ignore. More...
Public Member Functions inherited from cv::xphoto::WhiteBalancer
virtual void | balanceWhite (InputArray src, OutputArray dst)=0
| Applies white balancing to the input image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

A simple white balance algorithm that works by independently stretching each of the input image channels to the specified range. For increased robustness it ignores the top and bottom \(p\%\) of pixel values.

## Member Function Documentation

## ◆ getInputMax()

virtual float cv::xphoto::SimpleWB::getInputMax | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.xphoto_SimpleWB.getInputMax( |  | )

Input image range maximum value.

See also
  setInputMax

## ◆ getInputMin()

virtual float cv::xphoto::SimpleWB::getInputMin | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.xphoto_SimpleWB.getInputMin( |  | )

Input image range minimum value.

See also
  setInputMin

## ◆ getOutputMax()

virtual float cv::xphoto::SimpleWB::getOutputMax | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.xphoto_SimpleWB.getOutputMax( |  | )

Output image range maximum value.

See also
  setOutputMax

## ◆ getOutputMin()

virtual float cv::xphoto::SimpleWB::getOutputMin | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.xphoto_SimpleWB.getOutputMin( |  | )

Output image range minimum value.

See also
  setOutputMin

## ◆ getP()

virtual float cv::xphoto::SimpleWB::getP | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.xphoto_SimpleWB.getP( |  | )

Percent of top/bottom values to ignore.

See also
  setP

## ◆ setInputMax()

virtual void cv::xphoto::SimpleWB::setInputMax | ( | float | val | ) |
| pure virtual

Python:
| None | = | cv.xphoto_SimpleWB.setInputMax( | val | )

Input image range maximum value.

See also
  getInputMax

## ◆ setInputMin()

virtual void cv::xphoto::SimpleWB::setInputMin | ( | float | val | ) |
| pure virtual

Python:
| None | = | cv.xphoto_SimpleWB.setInputMin( | val | )

Input image range minimum value.

See also
  getInputMin

## ◆ setOutputMax()

virtual void cv::xphoto::SimpleWB::setOutputMax | ( | float | val | ) |
| pure virtual

Python:
| None | = | cv.xphoto_SimpleWB.setOutputMax( | val | )

Output image range maximum value.

See also
  getOutputMax

## ◆ setOutputMin()

virtual void cv::xphoto::SimpleWB::setOutputMin | ( | float | val | ) |
| pure virtual

Python:
| None | = | cv.xphoto_SimpleWB.setOutputMin( | val | )

Output image range minimum value.

See also
  getOutputMin

## ◆ setP()

virtual void cv::xphoto::SimpleWB::setP | ( | float | val | ) |
| pure virtual

Python:
| None | = | cv.xphoto_SimpleWB.setP( | val | )

Percent of top/bottom values to ignore.

See also
  getP

The documentation for this class was generated from the following file:

- opencv2/xphoto/white_balance.hpp